Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subnets

Get an available subnet

get

Get the value of "id" and "cidr" of an available subnet in the inventory. These values are used to create a new subnet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

Example: a224d558-7b63-4706-ab9d-b2ed68477fa6
Responses
200

A list of available subnets.

application/json
idstringOptional

The unique ID of the subnet.

cidrstringOptional

CIDR block of the available subnet.

get/api/v2/vmware/vpc/{vpc_id}/hpc/subnets/available
GET /api/v2/vmware/vpc/{vpc_id}/hpc/subnets/available HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "f9856bc3-f810-11ef-838f-005056b46212",
    "cidr": "10.102.23.0/24"
  }
]

List all subnets

get

Returns all of the subnets that have been created within a specified VPC.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

Query parameters
pageintegerOptional

The page number for pagination.

Default: 1
page_sizeinteger · max: 100Optional

The number of items per page.

Default: 10
Responses
200

A list of subnets.

application/json
totalintegerOptional

The number of subnets within a VPC.

get/api/v2/vmware/vpc/{vpc_id}/hpc/subnets
GET /api/v2/vmware/vpc/{vpc_id}/hpc/subnets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": null,
  "data": [
    {
      "id": "6e6cac5d-c3a6-48ff-b6f7-b776caa43c6c",
      "name": "reproduce1",
      "subnet_cidr": null,
      "description": "reproduce1",
      "gateway": null,
      "status": "Error",
      "osp_network_id": null,
      "network_acl_id": null,
      "network_acl_name": null,
      "created_at": "2025-08-20T09:26:46"
    },
    {
      "id": "6a292615-3eda-430a-916a-85f60cf4e077",
      "name": "dev-h200",
      "subnet_cidr": "10.102.5.0/24",
      "description": "",
      "gateway": "10.102.5.254",
      "status": "Available",
      "osp_network_id": "dfe20c70-788f-4588-a43a-3ddfdfa15125",
      "network_acl_id": "69f380d7-1ecb-4c97-a876-3c12f1a7565d",
      "network_acl_name": "dev-h200",
      "created_at": "2025-03-17T01:35:08"
    }
  ],
  "total": 2
}

Create a subnet

post

A CIDR range is allocated automatically. A network ACL is required and auto-created with a subnet. By default, only outbound traffic from the Bare Metal GPU server to the internet will be allowed. The quota of the subnet is equal to the quota of the Bare Metal GPU server per Tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

Body
namestringRequired

A unique name for your new subnet.

idstringRequired

Unique ID of an available subnet.

cidrstringRequired

CIDR block of an available subnet.

network_acl_namestringRequired

A unique name for your new Network ACL.

descriptionstring · nullableOptional

Description of the subnet.

Responses
201

Subnet created successfully.

application/json
messagestringOptional
dataobjectOptional
post/api/v2/vmware/vpc/{vpc_id}/hpc/subnets
POST /api/v2/vmware/vpc/{vpc_id}/hpc/subnets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 88

{
  "name": "text",
  "id": "text",
  "cidr": "text",
  "network_acl_name": "text",
  "description": "text"
}
{
  "message": "Configure network request is accepted",
  "data": {
    "id": "266d3b48-fb35-46aa-a67e-343c89370800",
    "name": "test",
    "extra_log": null
  }
}

Update a subnet

put

Update the name and description of a subnet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

network_idstring · uuidRequired

The ID of the subnet to update.

Body
namestringOptional

The new name of the subnet that you want to update.

descriptionstringOptional

The new name of the description that you want to update.

Responses
200

Subnet updated successfully.

application/json
messagestringOptional
dataobjectOptional
put/api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/
PUT /api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "text",
  "description": "text"
}
{
  "status": true,
  "error_code": null,
  "data": {
    "id": "3a4dec5a-8854-4a4f-8a62-8c120bb63f96",
    "name": "update",
    "description": "string"
  },
  "message": "The subnet has been updated."
}

Delete a subnet

delete

You cannot delete a subnet that is associated with other resources.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

network_idstring · uuidRequired

The unique ID of the subnet to delete.

Responses
200

Subnet deleted successfully.

application/json
messagestringOptional
delete/api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/
DELETE /api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "The subnet is deleting.",
  "data": {
    "id": "1ad415c9-8ff1-4775-a507-c16179ad0d50",
    "name": "tesst",
    "extra_log": null
  }
}

Last updated

Was this helpful?